/*
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
*/


/* --------------------------------------------------------------------------

	Define the information for a single menu item (both main bar and sub-menu).
	Each menu item has an associated filename, title, and description.
	The title and description are translated, but not the filename.

*/

function MenuItem(strFilename, strTitle, strDescription)
{
	this.strFilename = strFilename;
	this.strTitle = strTitle;
	this.strDescription = strDescription;
}


/* --------------------------------------------------------------------------

	These represent the various menus. There is a main menu bar and some sub-menus.

	The second and third strings in each item need to be translated.
	The first string is a filename and does not need to be translated.

*/

var menuMain = new Array(new MenuItem("status.asp",	"Status",	"View information about the router"),
			new MenuItem("log.asp",		"Log",		"View the router's activity log"),
			new MenuItem("wan.asp",		"Internet",	"Configure the router's connection to the Internet"),
			new MenuItem("security.asp",	"Security",	"Configure the router's security settings"),
			new MenuItem("firewall.asp",	"Firewall",	"Configure the router's firewall settings"),
			new MenuItem("wireless.asp",	"Wireless",	"Configure the router's wireless settings"),
			new MenuItem("lan.asp",		"LAN",		"Configure the router's LAN settings"),
			new MenuItem("device.asp",	"Device",	"Manage the router")
			);

/* --------------------------------------------------------------------------

    General helper functions

*/



/* --------------------------------------------------------------------------

		These functions are a quick&dirty way to implement the same things
		on more than one Web page (typically setup*.htm and something else).

*/
/*
	This returns the name of the n-th weekday (0-based).
	Too bad VBScript's WeekdayName() function isn't in JScript.
*/
function WeekdayName(ix)
{
	switch (ix)
	{
		case 0:	return "Sunday";	break;
		case 1:	return "Monday";	break;
		case 2:	return "Tuesday";	break;
		case 3:	return "Wednesday";	break;
		case 4:	return "Thursday";	break;
		case 5:	return "Friday";	break;
		case 6:	return "Saturday";	break;
		default: return "<unknown>";	break;
	}
}

// http://javascript.internet.com/page-details/evaluation-radio-buttons.html
function manageWANoptions()
{
      		var radios = document.idForm.optModem;
		
		setVisibility('idCablePrompts', radios[0].checked);
		setVisibility('idADSLprompts', radios[1].checked);
		
		if(document.idForm.chkHaveStaticIP != null)
			setVisibility('idStaticIPfields', document.idForm.chkHaveStaticIP.checked);
}

/* check settings for the firewall settings in firewall.asp */
function check_firewall()
{
	if (!document.idForm.chkFirewall.checked)
		document.idForm.fw_disable.value="1";
}

/* check settings for wan.asp and setup_wan.asp pages */
function setup_wanproto(s)
{
	var radios = document.idForm.optModem;
		
	if (s == 1)
	{
		var value = document.idForm.wan_pppoe_idletime.value;
		document.idForm.wan_pppoe_idletime.value = value * 60;
	}
	
	if (radios[0].checked) {
		document.idForm.wan_proto.value = "dhcp";
		if (document.idForm.chkHaveStaticIP.checked)
			document.idForm.wan_proto.value = "static";
		else {
			document.idForm.wan_ipaddr.value = "0.0.0.0";
			document.idForm.wan_netmask.value = "0.0.0.0";
			document.idForm.wan_gateway.value = "0.0.0.0";
			document.idForm.wan_dns.value = "";
			document.idForm.wan_wins.value = "";
		}
	}
	
	if (radios[1].checked) {
		document.idForm.wan_proto.value = "pppoe";
		document.idForm.wan_ipaddr.value = "0.0.0.0";
		document.idForm.wan_netmask.value = "0.0.0.0";
		document.idForm.wan_gateway.value = "0.0.0.0";
		document.idForm.wan_dns.value = "";
		document.idForm.wan_wins.value = "";
		if(document.idForm.chkCxn != null) {
			if (document.idForm.chkCxn.checked)
				document.idForm.connection.value = "demand";
		}
	}
	
	if (document.idForm.chkUsePPTP.checked)
		document.idForm.wan_pptp_activated.value = "1";
			
	if(document.idForm.chkRemoteAccess != null) {
		if(!document.idForm.chkRemoteAccess.checked)
			document.idForm.http_wanport.value = "";
	}
}

